path: /build/build/dict-toolbox-dev-python-5.0.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge dev-python/dict-toolbox -pv -t && \
    USE="-python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/dict-toolbox
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/dict-toolbox && luet-portage --dir /pkgdir/dict-toolbox
    dev-python/dict-toolbox && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree:bc7cabb395333d16951129cd4471b3c2201962cb3a1a28fde76999ce3b9a5861
  package:
    name: dict-toolbox
    version: 5.0.0
    category: dev-python
    use_flags:
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race6
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Dict tools for Python projects
    uri:
    - https://gitlab.com/saltstack/open/dict-toolbox https://pypi.org/project/dict-toolbox/
    license: Apache-2.0
    buildtimestamp: 2023-10-17 18:02:00.110833964 +0000 UTC m=+146.168443620
    labels:
      BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      IUSE: python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python3_10
      RDEPEND: dev-python/aiofiles[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        dev-python/msgpack[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        dev-python/pyyaml[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/dict-toolbox
      kit: python-modules-kit
      original.package.name: dev-python/dict-toolbox
      original.package.slot: "0"
      original.package.version: 5.0.0
    treedir: /build/packages
  package_dir: /pkgdir/dict-toolbox
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-terragon-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 48a9d19822badec5fb88c72574d8627ddd09b023ea6b6039aa87530fc052d307
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/dict_toolbox-5.0.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/dict_toolbox-5.0.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/dict_toolbox-5.0.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/dict_toolbox-5.0.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/dict_toolbox-5.0.0-py3.9.egg-info/top_level.txt
- usr/lib/python3.9/site-packages/dict_tools/__init__.py
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/aggregation.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/aggregation.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/aggregation.cpython-39.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/args.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/args.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/args.cpython-39.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/data.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/data.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/data.cpython-39.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/differ.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/differ.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/differ.cpython-39.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/mysql.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/mysql.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/mysql.cpython-39.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/trim.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/trim.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/trim.cpython-39.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/typing.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/typing.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/typing.cpython-39.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/update.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/update.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/update.cpython-39.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/utils.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/utils.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/utils.cpython-39.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/xml.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/xml.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/xml.cpython-39.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/yamlex.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/yamlex.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/dict_tools/__pycache__/yamlex.cpython-39.pyc
- usr/lib/python3.9/site-packages/dict_tools/aggregation.py
- usr/lib/python3.9/site-packages/dict_tools/args.py
- usr/lib/python3.9/site-packages/dict_tools/data.py
- usr/lib/python3.9/site-packages/dict_tools/differ.py
- usr/lib/python3.9/site-packages/dict_tools/mysql.py
- usr/lib/python3.9/site-packages/dict_tools/trim.py
- usr/lib/python3.9/site-packages/dict_tools/typing.py
- usr/lib/python3.9/site-packages/dict_tools/update.py
- usr/lib/python3.9/site-packages/dict_tools/utils.py
- usr/lib/python3.9/site-packages/dict_tools/xml.py
- usr/lib/python3.9/site-packages/dict_tools/yamlex.py
- usr/share/doc/dict-toolbox-5.0.0/README.rst.bz2
- var/db/pkg/dev-python/dict-toolbox-5.0.0/BDEPEND
- var/db/pkg/dev-python/dict-toolbox-5.0.0/BUILD_TIME
- var/db/pkg/dev-python/dict-toolbox-5.0.0/CATEGORY
- var/db/pkg/dev-python/dict-toolbox-5.0.0/CBUILD
- var/db/pkg/dev-python/dict-toolbox-5.0.0/CFLAGS
- var/db/pkg/dev-python/dict-toolbox-5.0.0/CHOST
- var/db/pkg/dev-python/dict-toolbox-5.0.0/CONTENTS
- var/db/pkg/dev-python/dict-toolbox-5.0.0/COUNTER
- var/db/pkg/dev-python/dict-toolbox-5.0.0/CXXFLAGS
- var/db/pkg/dev-python/dict-toolbox-5.0.0/DEFINED_PHASES
- var/db/pkg/dev-python/dict-toolbox-5.0.0/DESCRIPTION
- var/db/pkg/dev-python/dict-toolbox-5.0.0/EAPI
- var/db/pkg/dev-python/dict-toolbox-5.0.0/FEATURES
- var/db/pkg/dev-python/dict-toolbox-5.0.0/HOMEPAGE
- var/db/pkg/dev-python/dict-toolbox-5.0.0/INHERITED
- var/db/pkg/dev-python/dict-toolbox-5.0.0/IUSE
- var/db/pkg/dev-python/dict-toolbox-5.0.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/dict-toolbox-5.0.0/KEYWORDS
- var/db/pkg/dev-python/dict-toolbox-5.0.0/LDFLAGS
- var/db/pkg/dev-python/dict-toolbox-5.0.0/LICENSE
- var/db/pkg/dev-python/dict-toolbox-5.0.0/PF
- var/db/pkg/dev-python/dict-toolbox-5.0.0/RDEPEND
- var/db/pkg/dev-python/dict-toolbox-5.0.0/SIZE
- var/db/pkg/dev-python/dict-toolbox-5.0.0/SLOT
- var/db/pkg/dev-python/dict-toolbox-5.0.0/USE
- var/db/pkg/dev-python/dict-toolbox-5.0.0/dict-toolbox-5.0.0.ebuild
- var/db/pkg/dev-python/dict-toolbox-5.0.0/environment.bz2
- var/db/pkg/dev-python/dict-toolbox-5.0.0/repository
package_cacheimage: ""
runtime:
  name: dict-toolbox
  version: 5.0.0
  category: dev-python
  use_flags:
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - python_targets_python3_9
  requires:
  - name: aiofiles
    version: '>=0'
    category: dev-python
  - name: msgpack
    version: '>=0'
    category: dev-python
  - name: pyyaml
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Dict tools for Python projects
  uri:
  - https://gitlab.com/saltstack/open/dict-toolbox https://pypi.org/project/dict-toolbox/
  license: Apache-2.0
  labels:
    BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    IUSE: python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
      python_targets_python3_10
    RDEPEND: dev-python/aiofiles[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      dev-python/msgpack[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      dev-python/pyyaml[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/dict-toolbox
    kit: python-modules-kit
    original.package.name: dev-python/dict-toolbox
    original.package.slot: "0"
    original.package.version: 5.0.0
